Skip to content

Instantly share code, notes, and snippets.

/a.rb
Created Jun 24, 2015

Embed
What would you like to do?
root@Debian-70-wheezy-64-minimal:~# pip uninstall ipython
Cannot uninstall requirement ipython, not installed
root@Debian-70-wheezy-64-minimal:~# pip install -U ipython[notebook]
Collecting ipython[notebook]
Downloading ipython-3.2.0-py3-none-any.whl (3.4MB)
100% |████████████████████████████████| 3.4MB 205kB/s
Requirement already up-to-date: jsonschema>=2.0 in /home/epilib/Envs/env1/lib/python3.4/site-packages (from ipython[notebook])
Requirement already up-to-date: pyzmq>=13 in /home/epilib/Envs/env1/lib/python3.4/site-packages (from ipython[notebook])
Requirement already up-to-date: tornado>=4.0 in /home/epilib/Envs/env1/lib/python3.4/site-packages (from ipython[notebook])
Requirement already up-to-date: pygments in /home/epilib/Envs/env1/lib/python3.4/site-packages (from ipython[notebook])
Requirement already up-to-date: mistune>=0.5 in /home/epilib/Envs/env1/lib/python3.4/site-packages (from ipython[notebook])
Requirement already up-to-date: terminado>=0.3.3 in /home/epilib/Envs/env1/lib/python3.4/site-packages (from ipython[notebook])
Requirement already up-to-date: jinja2 in /home/epilib/Envs/env1/lib/python3.4/site-packages (from ipython[notebook])
Requirement already up-to-date: ptyprocess in /home/epilib/Envs/env1/lib/python3.4/site-packages (from terminado>=0.3.3->ipython[notebook])
Requirement already up-to-date: markupsafe in /home/epilib/Envs/env1/lib/python3.4/site-packages (from jinja2->ipython[notebook])
Installing collected packages: ipython
Successfully installed ipython-3.2.0
root@Debian-70-wheezy-64-minimal:~# /bin/sh /root/jupyter.sh
[D 2015-06-24 05:18:59.188 JupyterHub application:250] Config changed:
[D 2015-06-24 05:18:59.189 JupyterHub application:251] {'JupyterHub': {'config_file': '/usr/local/share/jupyter/jupyterhub_config.py', 'log_level': 10}}
[D 2015-06-24 05:18:59.189 JupyterHub application:528] Attempting to load config file /usr/local/share/jupyter/jupyterhub_config.py in path None
[D 2015-06-24 05:18:59.189 JupyterHub application:531] Attempting to load config file /usr/local/share/jupyter/jupyterhub_config.json in path None
[D 2015-06-24 05:18:59.189 JupyterHub application:548] Loaded config file: /usr/local/share/jupyter/jupyterhub_config.py
[D 2015-06-24 05:18:59.190 JupyterHub application:250] Config changed:
[D 2015-06-24 05:18:59.190 JupyterHub application:251] {'JupyterHub': {'port': 8888, 'spawner_class': <class 'MySpawner'>, 'proxy_auth_token': '04b2020f69c76650b82d468ea752772bdab10417', 'log_level': 10, 'proxy_api_port': 9985, 'hub_port': 9995, 'config_file': '/usr/local/share/jupyter/jupyterhub_config.py', 'admin_users': {'epinux'}, 'hub_ip': '144.76.93.231'}, 'Spawner': {'notebook_dir': '~/jupyter', 'env_keep': ['PATH', 'PYTHONPATH', 'LD_LIBRARY_PATH', 'GISBASE', 'GIS_LOCK', 'GISRC', 'GISDBASE', 'GRASS_RENDER_IMMEDIATE', 'GRASS_RENDER_FILE_COMPRESSION', 'GRASS_RENDER_WIDTH', 'GRASS_RENDER_HEIGHT', 'GRASS_RENDER_TRANSPARENT', 'GRASS_RENDER_FILE_READ', 'GRASS_RENDER_TRUECOLOR', 'GRASS_RENDER_PNG_AUTO_WRITE', 'LANG', 'LC_ALL']}}
[I 2015-06-24 05:18:59.245 JupyterHub app:518] Loading cookie_secret from /root/jupyterhub_cookie_secret
[D 2015-06-24 05:18:59.253 JupyterHub app:545] Connecting to db: sqlite:///jupyterhub.sqlite
[W 2015-06-24 05:18:59.299 JupyterHub app:589]
JupyterHub.admin_users is deprecated.
Use Authenticator.admin_users instead.
[I 2015-06-24 05:18:59.302 JupyterHub app:619] Not using whitelist. Any authenticated user will be allowed.
[D 2015-06-24 05:18:59.304 JupyterHub app:676] Loading state for brc from db
[D 2015-06-24 05:18:59.306 JupyterHub app:690] brc not running.
[D 2015-06-24 05:18:59.306 JupyterHub app:676] Loading state for madi from db
[D 2015-06-24 05:18:59.307 JupyterHub app:690] madi not running.
[D 2015-06-24 05:18:59.307 JupyterHub app:676] Loading state for france from db
[D 2015-06-24 05:18:59.308 JupyterHub app:690] france not running.
[D 2015-06-24 05:18:59.308 JupyterHub app:676] Loading state for rsignell from db
[D 2015-06-24 05:18:59.309 JupyterHub app:690] rsignell not running.
[D 2015-06-24 05:18:59.310 JupyterHub app:695] Loaded users:
root admin
geno
epinux admin
kcb
brc
rashad
madi
france
epi admin
jon
rsignell
[I 2015-06-24 05:18:59.317 JupyterHub app:997] Hub API listening on http://144.76.93.231:9995/hub/
[I 2015-06-24 05:18:59.320 JupyterHub app:754] Starting proxy @ http://*:8888/
[D 2015-06-24 05:18:59.320 JupyterHub app:755] Proxy cmd: ['configurable-http-proxy', '--ip', '', '--port', '8888', '--api-ip', 'localhost', '--api-port', '9985', '--default-target', 'http://144.76.93.231:9995']
05:18:59.445 - info: [ConfigProxy] Proxying http://*:8888 to http://144.76.93.231:9995
05:18:59.448 - info: [ConfigProxy] Proxy API at http://localhost:9985/api/routes
[D 2015-06-24 05:18:59.524 JupyterHub app:783] Proxy started and appears to be up
[I 2015-06-24 05:18:59.524 JupyterHub app:1020] JupyterHub is now running at http://localhost:8888/
[I 2015-06-24 05:19:08.371 JupyterHub log:100] 200 GET /hub/ (@73.182.188.6) 43.12ms
[D 2015-06-24 05:19:08.554 JupyterHub log:100] 304 GET /hub/static/css/style.min.css?v=0815cd5524f92f381f6758aed04a27a9 (@73.182.188.6) 7.32ms
[D 2015-06-24 05:19:08.556 JupyterHub log:100] 304 GET /hub/static/images/jupyter.png?v=7c4597ba713d804995e8f8dad448a397 (@73.182.188.6) 0.92ms
[D 2015-06-24 05:19:08.557 JupyterHub log:100] 304 GET /hub/static/components/requirejs/require.js?v=640929dac3c23a448d2eebc37bc32062 (@73.182.188.6) 0.92ms
[D 2015-06-24 05:19:08.992 JupyterHub log:100] 200 GET /favicon.ico (@73.182.188.6) 24.85ms
[I 2015-06-24 05:19:11.870 JupyterHub spawner:359] Spawning jupyterhub-singleuser --user=epinux --port=45734 --cookie-name=jupyter-hub-token-epinux --base-url=/user/epinux --hub-prefix=/hub/ --hub-api-url=http://144.76.93.231:9995/hub/api --ip=localhost '--notebook-dir=~/jupyter'
[D 2015-06-24 05:19:11.874 JupyterHub spawner:220] Polling subprocess every 30s
Traceback (most recent call last):
File "/home/epinux/dev/ipython/src/traitlets/traitlets/traitlets.py", line 432, in __get__
value = obj._trait_values[self.name]
KeyError: None
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/epilib/Envs/env1/bin/jupyterhub-singleuser", line 4, in <module>
main()
File "/home/epilib/Envs/env1/lib/python3.4/site-packages/jupyterhub/singleuser.py", line 221, in main
return SingleUserNotebookApp.launch_instance()
File "/home/epilib/Envs/env1/lib/python3.4/site-packages/IPython/config/application.py", line 573, in launch_instance
app.initialize(argv)
File "<string>", line 2, in initialize
File "/home/epilib/Envs/env1/lib/python3.4/site-packages/IPython/config/application.py", line 75, in catch_config_error
return method(app, *args, **kwargs)
File "/home/epilib/Envs/env1/lib/python3.4/site-packages/IPython/html/notebookapp.py", line 1015, in initialize
self.init_webapp()
File "/home/epilib/Envs/env1/lib/python3.4/site-packages/jupyterhub/singleuser.py", line 191, in init_webapp
s['user'] = self.user
File "/home/epinux/dev/ipython/src/traitlets/traitlets/traitlets.py", line 438, in __get__
% (self.name, obj))
traitlets.traitlets.TraitError: No default value found for None trait of <jupyterhub.singleuser.SingleUserNotebookApp object at 0x7f2f36ef1a58>
If you suspect this is an IPython bug, please report it at:
https://github.com/ipython/ipython/issues
or send an email to the mailing list at ipython-dev@scipy.org
You can print a more detailed traceback right now with "%tb", or use "%debug"
to interactively debug it.
Extra-detailed tracebacks for bug-reporting purposes can be enabled via:
c.Application.verbose_crash=True
[W 2015-06-24 05:19:21.964 JupyterHub base:264] User epinux server is slow to start
[I 2015-06-24 05:19:21.973 JupyterHub log:100] 302 POST /hub/login?next= (@73.182.188.6) 10371.12ms
[I 2015-06-24 05:19:21.973 JupyterHub login:70] User logged in: epinux
[I 2015-06-24 05:19:22.300 JupyterHub log:100] 302 GET /hub/ (epinux@73.182.188.6) 5.30ms
[I 2015-06-24 05:19:22.618 JupyterHub log:100] 302 GET /user/epinux (@73.182.188.6) 0.99ms
[I 2015-06-24 05:19:22.957 JupyterHub log:100] 200 GET /hub/user/epinux (epinux@73.182.188.6) 9.31ms
[D 2015-06-24 05:19:23.342 JupyterHub log:100] 304 GET /hub/static/components/font-awesome/fonts/fontawesome-webfont.woff?v=4.1.0 (@73.182.188.6) 1.06ms
[D 2015-06-24 05:19:23.924 JupyterHub log:100] 200 GET /hub/static/components/jquery/jquery.min.js?v=(%2720150624051859%27,) (@73.182.188.6) 2.93ms
[D 2015-06-24 05:19:30.156 JupyterHub log:100] 304 GET /hub/user/epinux (epinux@73.182.188.6) 6.19ms
[D 2015-06-24 05:19:30.543 JupyterHub log:100] 304 GET /hub/static/css/style.min.css?v=0815cd5524f92f381f6758aed04a27a9 (@73.182.188.6) 1.04ms
[D 2015-06-24 05:19:30.547 JupyterHub log:100] 304 GET /hub/static/components/requirejs/require.js?v=640929dac3c23a448d2eebc37bc32062 (@73.182.188.6) 0.97ms
[D 2015-06-24 05:19:30.555 JupyterHub log:100] 304 GET /hub/static/images/jupyter.png?v=7c4597ba713d804995e8f8dad448a397 (@73.182.188.6) 0.93ms
[D 2015-06-24 05:19:30.953 JupyterHub log:100] 304 GET /hub/static/components/jquery/jquery.min.js?v=(%2720150624051859%27,) (@73.182.188.6) 0.97ms
[D 2015-06-24 05:19:30.958 JupyterHub log:100] 304 GET /hub/static/components/font-awesome/fonts/fontawesome-webfont.woff?v=4.1.0 (@73.182.188.6) 0.92ms
[D 2015-06-24 05:19:36.348 JupyterHub log:100] 304 GET /hub/user/epinux (epinux@73.182.188.6) 6.62ms
[D 2015-06-24 05:19:36.791 JupyterHub log:100] 304 GET /hub/static/components/requirejs/require.js?v=640929dac3c23a448d2eebc37bc32062 (@73.182.188.6) 1.05ms
[D 2015-06-24 05:19:36.793 JupyterHub log:100] 304 GET /hub/static/images/jupyter.png?v=7c4597ba713d804995e8f8dad448a397 (@73.182.188.6) 0.91ms
[D 2015-06-24 05:19:36.794 JupyterHub log:100] 304 GET /hub/static/css/style.min.css?v=0815cd5524f92f381f6758aed04a27a9 (@73.182.188.6) 0.90ms
[D 2015-06-24 05:19:36.975 JupyterHub log:100] 304 GET /hub/static/components/font-awesome/fonts/fontawesome-webfont.woff?v=4.1.0 (@73.182.188.6) 0.95ms
[W 2015-06-24 05:19:42.144 JupyterHub orm:402] epinux's server never showed up at http://localhost:45734/user/epinux after 30 seconds. Giving up
[E 2015-06-24 05:19:42.216 JupyterHub gen:733] Exception in Future <tornado.concurrent.Future object at 0x7f27f4559da0> after timeout
Traceback (most recent call last):
File "/home/epilib/Envs/env1/lib/python3.4/site-packages/tornado/gen.py", line 729, in error_callback
future.result()
File "/home/epilib/Envs/env1/lib/python3.4/site-packages/jupyterhub/orm.py", line 418, in spawn
raise e
File "/home/epilib/Envs/env1/lib/python3.4/site-packages/jupyterhub/orm.py", line 394, in spawn
yield self.server.wait_up(http=True, timeout=spawner.http_timeout)
File "/home/epilib/Envs/env1/lib/python3.4/site-packages/jupyterhub/orm.py", line 111, in wait_up
yield wait_for_http_server(self.url, timeout=timeout)
File "/home/epilib/Envs/env1/lib/python3.4/site-packages/jupyterhub/utils.py", line 81, in wait_for_http_server
**locals()
TimeoutError: Server at http://localhost:45734/user/epinux didn't respond in 30 seconds
[I 2015-06-24 05:19:44.492 JupyterHub spawner:359] Spawning jupyterhub-singleuser --user=epinux --port=54911 --cookie-name=jupyter-hub-token-epinux --base-url=/user/epinux --hub-prefix=/hub/ --hub-api-url=http://144.76.93.231:9995/hub/api --ip=localhost '--notebook-dir=~/jupyter'
[D 2015-06-24 05:19:44.496 JupyterHub spawner:220] Polling subprocess every 30s
Traceback (most recent call last):
File "/home/epinux/dev/ipython/src/traitlets/traitlets/traitlets.py", line 432, in __get__
value = obj._trait_values[self.name]
KeyError: None
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/epilib/Envs/env1/bin/jupyterhub-singleuser", line 4, in <module>
main()
File "/home/epilib/Envs/env1/lib/python3.4/site-packages/jupyterhub/singleuser.py", line 221, in main
return SingleUserNotebookApp.launch_instance()
File "/home/epilib/Envs/env1/lib/python3.4/site-packages/IPython/config/application.py", line 573, in launch_instance
app.initialize(argv)
File "<string>", line 2, in initialize
File "/home/epilib/Envs/env1/lib/python3.4/site-packages/IPython/config/application.py", line 75, in catch_config_error
return method(app, *args, **kwargs)
File "/home/epilib/Envs/env1/lib/python3.4/site-packages/IPython/html/notebookapp.py", line 1015, in initialize
self.init_webapp()
File "/home/epilib/Envs/env1/lib/python3.4/site-packages/jupyterhub/singleuser.py", line 191, in init_webapp
s['user'] = self.user
File "/home/epinux/dev/ipython/src/traitlets/traitlets/traitlets.py", line 438, in __get__
% (self.name, obj))
traitlets.traitlets.TraitError: No default value found for None trait of <jupyterhub.singleuser.SingleUserNotebookApp object at 0x7f4b07b5da58>
If you suspect this is an IPython bug, please report it at:
https://github.com/ipython/ipython/issues
or send an email to the mailing list at ipython-dev@scipy.org
You can print a more detailed traceback right now with "%tb", or use "%debug"
to interactively debug it.
Extra-detailed tracebacks for bug-reporting purposes can be enabled via:
c.Application.verbose_crash=True
[W 2015-06-24 05:19:54.587 JupyterHub base:264] User epinux server is slow to start
[I 2015-06-24 05:19:54.599 JupyterHub log:100] 302 GET /hub/user/epinux (epinux@73.182.188.6) 10299.54ms
[I 2015-06-24 05:19:54.975 JupyterHub log:100] 302 GET /user/epinux (@73.182.188.6) 1.07ms
[I 2015-06-24 05:19:55.303 JupyterHub log:100] 200 GET /hub/user/epinux (epinux@73.182.188.6) 6.85ms
[D 2015-06-24 05:19:55.647 JupyterHub log:100] 304 GET /hub/static/css/style.min.css?v=0815cd5524f92f381f6758aed04a27a9 (@73.182.188.6) 1.07ms
[D 2015-06-24 05:19:55.661 JupyterHub log:100] 304 GET /hub/static/components/requirejs/require.js?v=640929dac3c23a448d2eebc37bc32062 (@73.182.188.6) 0.93ms
[D 2015-06-24 05:19:55.667 JupyterHub log:100] 304 GET /hub/static/images/jupyter.png?v=7c4597ba713d804995e8f8dad448a397 (@73.182.188.6) 1.01ms
[D 2015-06-24 05:19:56.041 JupyterHub log:100] 304 GET /hub/static/components/font-awesome/fonts/fontawesome-webfont.woff?v=4.1.0 (@73.182.188.6) 0.90ms
[D 2015-06-24 05:20:03.292 JupyterHub log:100] 304 GET /hub/user/epinux (epinux@73.182.188.6) 6.27ms
[D 2015-06-24 05:20:03.660 JupyterHub log:100] 304 GET /hub/static/components/requirejs/require.js?v=640929dac3c23a448d2eebc37bc32062 (@73.182.188.6) 1.04ms
[D 2015-06-24 05:20:03.662 JupyterHub log:100] 304 GET /hub/static/css/style.min.css?v=0815cd5524f92f381f6758aed04a27a9 (@73.182.188.6) 0.88ms
[D 2015-06-24 05:20:03.664 JupyterHub log:100] 304 GET /hub/static/images/jupyter.png?v=7c4597ba713d804995e8f8dad448a397 (@73.182.188.6) 0.89ms
[D 2015-06-24 05:20:04.054 JupyterHub log:100] 304 GET /hub/static/components/font-awesome/fonts/fontawesome-webfont.woff?v=4.1.0 (@73.182.188.6) 0.95ms
[D 2015-06-24 05:20:11.316 JupyterHub log:100] 304 GET /hub/user/epinux (epinux@73.182.188.6) 6.14ms
[D 2015-06-24 05:20:11.667 JupyterHub log:100] 304 GET /hub/static/css/style.min.css?v=0815cd5524f92f381f6758aed04a27a9 (@73.182.188.6) 1.02ms
[D 2015-06-24 05:20:11.669 JupyterHub log:100] 304 GET /hub/static/components/requirejs/require.js?v=640929dac3c23a448d2eebc37bc32062 (@73.182.188.6) 0.91ms
[D 2015-06-24 05:20:11.674 JupyterHub log:100] 304 GET /hub/static/images/jupyter.png?v=7c4597ba713d804995e8f8dad448a397 (@73.182.188.6) 0.98ms
[D 2015-06-24 05:20:12.031 JupyterHub log:100] 304 GET /hub/static/components/font-awesome/fonts/fontawesome-webfont.woff?v=4.1.0 (@73.182.188.6) 0.97ms
[W 2015-06-24 05:20:14.767 JupyterHub orm:402] epinux's server never showed up at http://localhost:54911/user/epinux after 30 seconds. Giving up
[E 2015-06-24 05:20:14.855 JupyterHub gen:733] Exception in Future <tornado.concurrent.Future object at 0x7f27f42f4470> after timeout
Traceback (most recent call last):
File "/home/epilib/Envs/env1/lib/python3.4/site-packages/tornado/gen.py", line 729, in error_callback
future.result()
File "/home/epilib/Envs/env1/lib/python3.4/site-packages/jupyterhub/orm.py", line 418, in spawn
raise e
File "/home/epilib/Envs/env1/lib/python3.4/site-packages/jupyterhub/orm.py", line 394, in spawn
yield self.server.wait_up(http=True, timeout=spawner.http_timeout)
File "/home/epilib/Envs/env1/lib/python3.4/site-packages/jupyterhub/orm.py", line 111, in wait_up
yield wait_for_http_server(self.url, timeout=timeout)
File "/home/epilib/Envs/env1/lib/python3.4/site-packages/jupyterhub/utils.py", line 81, in wait_for_http_server
**locals()
TimeoutError: Server at http://localhost:54911/user/epinux didn't respond in 30 seconds
[I 2015-06-24 05:20:19.527 JupyterHub spawner:359] Spawning jupyterhub-singleuser --user=epinux --port=37765 --cookie-name=jupyter-hub-token-epinux --base-url=/user/epinux --hub-prefix=/hub/ --hub-api-url=http://144.76.93.231:9995/hub/api --ip=localhost '--notebook-dir=~/jupyter'
[D 2015-06-24 05:20:19.531 JupyterHub spawner:220] Polling subprocess every 30s
Traceback (most recent call last):
File "/home/epinux/dev/ipython/src/traitlets/traitlets/traitlets.py", line 432, in __get__
value = obj._trait_values[self.name]
KeyError: None
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/epilib/Envs/env1/bin/jupyterhub-singleuser", line 4, in <module>
main()
File "/home/epilib/Envs/env1/lib/python3.4/site-packages/jupyterhub/singleuser.py", line 221, in main
return SingleUserNotebookApp.launch_instance()
File "/home/epilib/Envs/env1/lib/python3.4/site-packages/IPython/config/application.py", line 573, in launch_instance
app.initialize(argv)
File "<string>", line 2, in initialize
File "/home/epilib/Envs/env1/lib/python3.4/site-packages/IPython/config/application.py", line 75, in catch_config_error
return method(app, *args, **kwargs)
File "/home/epilib/Envs/env1/lib/python3.4/site-packages/IPython/html/notebookapp.py", line 1015, in initialize
self.init_webapp()
File "/home/epilib/Envs/env1/lib/python3.4/site-packages/jupyterhub/singleuser.py", line 191, in init_webapp
s['user'] = self.user
File "/home/epinux/dev/ipython/src/traitlets/traitlets/traitlets.py", line 438, in __get__
% (self.name, obj))
traitlets.traitlets.TraitError: No default value found for None trait of <jupyterhub.singleuser.SingleUserNotebookApp object at 0x7ff646cdea58>
If you suspect this is an IPython bug, please report it at:
https://github.com/ipython/ipython/issues
or send an email to the mailing list at ipython-dev@scipy.org
You can print a more detailed traceback right now with "%tb", or use "%debug"
to interactively debug it.
Extra-detailed tracebacks for bug-reporting purposes can be enabled via:
c.Application.verbose_crash=True
[W 2015-06-24 05:20:29.608 JupyterHub base:264] User epinux server is slow to start
[I 2015-06-24 05:20:29.621 JupyterHub log:100] 302 GET /hub/user/epinux (epinux@73.182.188.6) 10328.15ms
[I 2015-06-24 05:20:30.034 JupyterHub log:100] 302 GET /user/epinux (@73.182.188.6) 1.08ms
[I 2015-06-24 05:20:30.416 JupyterHub log:100] 200 GET /hub/user/epinux (epinux@73.182.188.6) 6.93ms
[D 2015-06-24 05:20:30.794 JupyterHub log:100] 304 GET /hub/static/css/style.min.css?v=0815cd5524f92f381f6758aed04a27a9 (@73.182.188.6) 0.98ms
[D 2015-06-24 05:20:30.797 JupyterHub log:100] 304 GET /hub/static/components/requirejs/require.js?v=640929dac3c23a448d2eebc37bc32062 (@73.182.188.6) 0.89ms
[D 2015-06-24 05:20:30.800 JupyterHub log:100] 304 GET /hub/static/images/jupyter.png?v=7c4597ba713d804995e8f8dad448a397 (@73.182.188.6) 0.87ms
[D 2015-06-24 05:20:31.164 JupyterHub log:100] 304 GET /hub/static/components/font-awesome/fonts/fontawesome-webfont.woff?v=4.1.0 (@73.182.188.6) 0.93ms
[D 2015-06-24 05:20:38.301 JupyterHub log:100] 304 GET /hub/user/epinux (epinux@73.182.188.6) 6.28ms
[D 2015-06-24 05:20:38.660 JupyterHub log:100] 304 GET /hub/static/components/requirejs/require.js?v=640929dac3c23a448d2eebc37bc32062 (@73.182.188.6) 1.65ms
[D 2015-06-24 05:20:38.662 JupyterHub log:100] 304 GET /hub/static/css/style.min.css?v=0815cd5524f92f381f6758aed04a27a9 (@73.182.188.6) 0.90ms
[D 2015-06-24 05:20:38.664 JupyterHub log:100] 304 GET /hub/static/images/jupyter.png?v=7c4597ba713d804995e8f8dad448a397 (@73.182.188.6) 0.88ms
[D 2015-06-24 05:20:39.002 JupyterHub log:100] 304 GET /hub/static/components/font-awesome/fonts/fontawesome-webfont.woff?v=4.1.0 (@73.182.188.6) 0.89ms
[D 2015-06-24 05:20:45.935 JupyterHub log:100] 304 GET /hub/user/epinux (epinux@73.182.188.6) 6.20ms
[D 2015-06-24 05:20:46.286 JupyterHub log:100] 304 GET /hub/static/css/style.min.css?v=0815cd5524f92f381f6758aed04a27a9 (@73.182.188.6) 1.00ms
[D 2015-06-24 05:20:46.291 JupyterHub log:100] 304 GET /hub/static/images/jupyter.png?v=7c4597ba713d804995e8f8dad448a397 (@73.182.188.6) 0.95ms
[D 2015-06-24 05:20:46.296 JupyterHub log:100] 304 GET /hub/static/components/requirejs/require.js?v=640929dac3c23a448d2eebc37bc32062 (@73.182.188.6) 0.93ms
[D 2015-06-24 05:20:46.634 JupyterHub log:100] 304 GET /hub/static/components/font-awesome/fonts/fontawesome-webfont.woff?v=4.1.0 (@73.182.188.6) 0.94ms
[W 2015-06-24 05:20:49.790 JupyterHub orm:402] epinux's server never showed up at http://localhost:37765/user/epinux after 30 seconds. Giving up
[E 2015-06-24 05:20:49.893 JupyterHub gen:733] Exception in Future <tornado.concurrent.Future object at 0x7f27f4257400> after timeout
Traceback (most recent call last):
File "/home/epilib/Envs/env1/lib/python3.4/site-packages/tornado/gen.py", line 729, in error_callback
future.result()
File "/home/epilib/Envs/env1/lib/python3.4/site-packages/jupyterhub/orm.py", line 418, in spawn
raise e
File "/home/epilib/Envs/env1/lib/python3.4/site-packages/jupyterhub/orm.py", line 394, in spawn
yield self.server.wait_up(http=True, timeout=spawner.http_timeout)
File "/home/epilib/Envs/env1/lib/python3.4/site-packages/jupyterhub/orm.py", line 111, in wait_up
yield wait_for_http_server(self.url, timeout=timeout)
File "/home/epilib/Envs/env1/lib/python3.4/site-packages/jupyterhub/utils.py", line 81, in wait_for_http_server
**locals()
TimeoutError: Server at http://localhost:37765/user/epinux didn't respond in 30 seconds
[I 2015-06-24 05:20:53.570 JupyterHub spawner:359] Spawning jupyterhub-singleuser --user=epinux --port=40035 --cookie-name=jupyter-hub-token-epinux --base-url=/user/epinux --hub-prefix=/hub/ --hub-api-url=http://144.76.93.231:9995/hub/api --ip=localhost '--notebook-dir=~/jupyter'
[D 2015-06-24 05:20:53.574 JupyterHub spawner:220] Polling subprocess every 30s
Traceback (most recent call last):
File "/home/epinux/dev/ipython/src/traitlets/traitlets/traitlets.py", line 432, in __get__
value = obj._trait_values[self.name]
KeyError: None
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/epilib/Envs/env1/bin/jupyterhub-singleuser", line 4, in <module>
main()
File "/home/epilib/Envs/env1/lib/python3.4/site-packages/jupyterhub/singleuser.py", line 221, in main
return SingleUserNotebookApp.launch_instance()
File "/home/epilib/Envs/env1/lib/python3.4/site-packages/IPython/config/application.py", line 573, in launch_instance
app.initialize(argv)
File "<string>", line 2, in initialize
File "/home/epilib/Envs/env1/lib/python3.4/site-packages/IPython/config/application.py", line 75, in catch_config_error
return method(app, *args, **kwargs)
File "/home/epilib/Envs/env1/lib/python3.4/site-packages/IPython/html/notebookapp.py", line 1015, in initialize
self.init_webapp()
File "/home/epilib/Envs/env1/lib/python3.4/site-packages/jupyterhub/singleuser.py", line 191, in init_webapp
s['user'] = self.user
File "/home/epinux/dev/ipython/src/traitlets/traitlets/traitlets.py", line 438, in __get__
% (self.name, obj))
traitlets.traitlets.TraitError: No default value found for None trait of <jupyterhub.singleuser.SingleUserNotebookApp object at 0x7fee20251a58>
If you suspect this is an IPython bug, please report it at:
https://github.com/ipython/ipython/issues
or send an email to the mailing list at ipython-dev@scipy.org
You can print a more detailed traceback right now with "%tb", or use "%debug"
to interactively debug it.
Extra-detailed tracebacks for bug-reporting purposes can be enabled via:
c.Application.verbose_crash=True
[W 2015-06-24 05:21:03.660 JupyterHub base:264] User epinux server is slow to start
[I 2015-06-24 05:21:03.673 JupyterHub log:100] 302 GET /hub/user/epinux (epinux@73.182.188.6) 10326.32ms
[I 2015-06-24 05:21:04.004 JupyterHub log:100] 302 GET /user/epinux (@73.182.188.6) 1.02ms
[I 2015-06-24 05:21:04.348 JupyterHub log:100] 200 GET /hub/user/epinux (epinux@73.182.188.6) 7.03ms
[D 2015-06-24 05:21:04.706 JupyterHub log:100] 304 GET /hub/static/css/style.min.css?v=0815cd5524f92f381f6758aed04a27a9 (@73.182.188.6) 0.97ms
[D 2015-06-24 05:21:04.708 JupyterHub log:100] 304 GET /hub/static/components/requirejs/require.js?v=640929dac3c23a448d2eebc37bc32062 (@73.182.188.6) 0.93ms
[D 2015-06-24 05:21:04.716 JupyterHub log:100] 304 GET /hub/static/images/jupyter.png?v=7c4597ba713d804995e8f8dad448a397 (@73.182.188.6) 1.02ms
[D 2015-06-24 05:21:05.041 JupyterHub log:100] 304 GET /hub/static/components/font-awesome/fonts/fontawesome-webfont.woff?v=4.1.0 (@73.182.188.6) 1.68ms
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.